BEAST-MCMC(1)

NAME
beast-mcmc - Bayesian evolutionary analysis sampling trees

SYNOPSIS

beast-mcmc [OPTIONS] [input.xml]

beast-mcmc [-verbose | -strict | -window | -options | -working | -seed | -errors i | -threads i | -java | -beagle | -beagle_info | -beagle_resource_order | -help | input.xml]

DESCRIPTION

BEAST is a cross-platform program for Bayesian MCMC analysis of molecular sequences. It is orientated towards rooted, time-measured phylogenies inferred using strict or relaxed molecular clock models. It is intended both as a method of reconstructing phylogenies and as a framework for testing evolutionary hypotheses without conditioning on a single tree topology. BEAST uses MCMC to average over tree space, so that each tree is weighted proportional to its posterior probability. We include a simple to use user-interface program for setting up standard analyses and a suite of programs for analysing the results. There are three main areas of research for which the BEAUti/BEAST package is particularly applicable. These areas are species phylogenies for molecular dating, coalescent-based population genetics and measurably evolving populations (ancient DNA or time-stamped viral sequence data sets).

OPTIONS

-verbose
    verbose XML parsing messages

-strict
    fail on non conforming BEAST XML file

-window
    provide a console window

-options
    display an options dialog

-working
    change working directory to input file's directory

-seed
    specify a random number generator seed

-errors i
    maximum number of numerical errors before stopping

-threads i
    the number of computational threads to use (default 1)

-java
    use Java only, no native implementations

-beagle
    use beagle library if available

-beagle_info
    show information on available beagle resources

-beagle_resource_order
    set order of beagle resources

-help
    print usage screen

BUGS

The BEAST bug tracking system can be found at http://code.google.com/p/beast-mcmc/issues/list.

SEE ALSO

beauti(1).

REFERENCES

    • Drummond AJ, Rambaut A (2007) "BEAST: Bayesian evolutionary analysis by sampling trees." BMC Evolutionary Biology 7:214.

    • Drummond AJ, Ho SYW, Phillips MJ & Rambaut A (2006) PLoS Biology 4, e88.

    • Drummond AJ, Rambaut A & Shapiro B and Pybus OG (2005) Mol Biol Evol 22, 1185-1192.

    • Drummond AJ, Nicholls GK, Rodrigo AG & Solomon W (2002) Genetics 161, 1307-1320.

AUTHORS

Alexei J. Drummond

    Copyright holder for BEAST.

Andrew Rambaut

    Copyright holder for BEAST.

Marc A. Suchard

    Copyright holder for BEAST.

Felix Feyertag <felix.feyertag@googlemail.com>

    Prepared this manpage in DocBook XML for the Debian distribution.

COPYRIGHT
Copyright © 2002–2010 Alexei J. Drummond, Andrew Rambaut & Marc A. Suchard (BEAST)
Copyright © 2009–2010 Felix Feyertag (This manpage)

The binaries and source code are made available and can be distributed subject to the following conditions:

BEAST is Copyright (C) 2002-2006 Alexei Drummond and Andrew Rambaut BEAST is distributed under the terms of the GNU Lesser General Public License. See the notice in individual files and the file LICENSE for licensing details.

BEAST includes software libraries from projects whose licensing terms require that the following notices be included when they are distributed in binary form and that the recipient be given a copy of their respective licenses.

    • This product includes software developed by the JDOM Project (http://www.jdom.org/)

    • This product includes software developed by The Apache Software Foundation (http://www.apache.org/)

    • The license for JDOM can be read in the LICENSE.txt file in the source distribution available at http://www.jdom.org/

    • The license for the Commons Math library can be read at http://www.apache.org/licenses/LICENSE-2.0 or in the LICENSE.txt file in the source distribution available at http://jakarta.apache.org/commons/math/

This manual page and its XML source can be used, modified, and redistributed as if it were in public domain.